/* A Bison parser, made by GNU Bison 3.7.6.  */

/* Bison interface for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

#ifndef YY_YY_CFPARSE_H_INCLUDED
# define YY_YY_CFPARSE_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int yydebug;
#endif

/* Token kinds.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    YYEMPTY = -2,
    YYEOF = 0,                     /* "end of file"  */
    YYerror = 256,                 /* error  */
    YYUNDEF = 257,                 /* "invalid token"  */
    PRIVSEP = 258,                 /* PRIVSEP  */
    USER = 259,                    /* USER  */
    GROUP = 260,                   /* GROUP  */
    CHROOT = 261,                  /* CHROOT  */
    PATH = 262,                    /* PATH  */
    PATHTYPE = 263,                /* PATHTYPE  */
    INCLUDE = 264,                 /* INCLUDE  */
    PFKEY_BUFFER = 265,            /* PFKEY_BUFFER  */
    LOGGING = 266,                 /* LOGGING  */
    LOGLEV = 267,                  /* LOGLEV  */
    PADDING = 268,                 /* PADDING  */
    PAD_RANDOMIZE = 269,           /* PAD_RANDOMIZE  */
    PAD_RANDOMIZELEN = 270,        /* PAD_RANDOMIZELEN  */
    PAD_MAXLEN = 271,              /* PAD_MAXLEN  */
    PAD_STRICT = 272,              /* PAD_STRICT  */
    PAD_EXCLTAIL = 273,            /* PAD_EXCLTAIL  */
    LISTEN = 274,                  /* LISTEN  */
    X_ISAKMP = 275,                /* X_ISAKMP  */
    X_ISAKMP_NATT = 276,           /* X_ISAKMP_NATT  */
    X_ADMIN = 277,                 /* X_ADMIN  */
    STRICT_ADDRESS = 278,          /* STRICT_ADDRESS  */
    ADMINSOCK = 279,               /* ADMINSOCK  */
    DISABLED = 280,                /* DISABLED  */
    LDAPCFG = 281,                 /* LDAPCFG  */
    LDAP_HOST = 282,               /* LDAP_HOST  */
    LDAP_PORT = 283,               /* LDAP_PORT  */
    LDAP_PVER = 284,               /* LDAP_PVER  */
    LDAP_BASE = 285,               /* LDAP_BASE  */
    LDAP_BIND_DN = 286,            /* LDAP_BIND_DN  */
    LDAP_BIND_PW = 287,            /* LDAP_BIND_PW  */
    LDAP_SUBTREE = 288,            /* LDAP_SUBTREE  */
    LDAP_ATTR_USER = 289,          /* LDAP_ATTR_USER  */
    LDAP_ATTR_ADDR = 290,          /* LDAP_ATTR_ADDR  */
    LDAP_ATTR_MASK = 291,          /* LDAP_ATTR_MASK  */
    LDAP_ATTR_GROUP = 292,         /* LDAP_ATTR_GROUP  */
    LDAP_ATTR_MEMBER = 293,        /* LDAP_ATTR_MEMBER  */
    RADCFG = 294,                  /* RADCFG  */
    RAD_AUTH = 295,                /* RAD_AUTH  */
    RAD_ACCT = 296,                /* RAD_ACCT  */
    RAD_TIMEOUT = 297,             /* RAD_TIMEOUT  */
    RAD_RETRIES = 298,             /* RAD_RETRIES  */
    MODECFG = 299,                 /* MODECFG  */
    CFG_NET4 = 300,                /* CFG_NET4  */
    CFG_MASK4 = 301,               /* CFG_MASK4  */
    CFG_DNS4 = 302,                /* CFG_DNS4  */
    CFG_NBNS4 = 303,               /* CFG_NBNS4  */
    CFG_DEFAULT_DOMAIN = 304,      /* CFG_DEFAULT_DOMAIN  */
    CFG_AUTH_SOURCE = 305,         /* CFG_AUTH_SOURCE  */
    CFG_AUTH_GROUPS = 306,         /* CFG_AUTH_GROUPS  */
    CFG_SYSTEM = 307,              /* CFG_SYSTEM  */
    CFG_RADIUS = 308,              /* CFG_RADIUS  */
    CFG_PAM = 309,                 /* CFG_PAM  */
    CFG_LDAP = 310,                /* CFG_LDAP  */
    CFG_LOCAL = 311,               /* CFG_LOCAL  */
    CFG_NONE = 312,                /* CFG_NONE  */
    CFG_GROUP_SOURCE = 313,        /* CFG_GROUP_SOURCE  */
    CFG_ACCOUNTING = 314,          /* CFG_ACCOUNTING  */
    CFG_CONF_SOURCE = 315,         /* CFG_CONF_SOURCE  */
    CFG_MOTD = 316,                /* CFG_MOTD  */
    CFG_POOL_SIZE = 317,           /* CFG_POOL_SIZE  */
    CFG_AUTH_THROTTLE = 318,       /* CFG_AUTH_THROTTLE  */
    CFG_SPLIT_NETWORK = 319,       /* CFG_SPLIT_NETWORK  */
    CFG_SPLIT_LOCAL = 320,         /* CFG_SPLIT_LOCAL  */
    CFG_SPLIT_INCLUDE = 321,       /* CFG_SPLIT_INCLUDE  */
    CFG_SPLIT_DNS = 322,           /* CFG_SPLIT_DNS  */
    CFG_PFS_GROUP = 323,           /* CFG_PFS_GROUP  */
    CFG_SAVE_PASSWD = 324,         /* CFG_SAVE_PASSWD  */
    RETRY = 325,                   /* RETRY  */
    RETRY_COUNTER = 326,           /* RETRY_COUNTER  */
    RETRY_INTERVAL = 327,          /* RETRY_INTERVAL  */
    RETRY_PERSEND = 328,           /* RETRY_PERSEND  */
    RETRY_PHASE1 = 329,            /* RETRY_PHASE1  */
    RETRY_PHASE2 = 330,            /* RETRY_PHASE2  */
    NATT_KA = 331,                 /* NATT_KA  */
    ALGORITHM_CLASS = 332,         /* ALGORITHM_CLASS  */
    ALGORITHMTYPE = 333,           /* ALGORITHMTYPE  */
    STRENGTHTYPE = 334,            /* STRENGTHTYPE  */
    SAINFO = 335,                  /* SAINFO  */
    FROM = 336,                    /* FROM  */
    REMOTE = 337,                  /* REMOTE  */
    ANONYMOUS = 338,               /* ANONYMOUS  */
    CLIENTADDR = 339,              /* CLIENTADDR  */
    INHERIT = 340,                 /* INHERIT  */
    REMOTE_ADDRESS = 341,          /* REMOTE_ADDRESS  */
    EXCHANGE_MODE = 342,           /* EXCHANGE_MODE  */
    EXCHANGETYPE = 343,            /* EXCHANGETYPE  */
    DOI = 344,                     /* DOI  */
    DOITYPE = 345,                 /* DOITYPE  */
    SITUATION = 346,               /* SITUATION  */
    SITUATIONTYPE = 347,           /* SITUATIONTYPE  */
    CERTIFICATE_TYPE = 348,        /* CERTIFICATE_TYPE  */
    CERTTYPE = 349,                /* CERTTYPE  */
    PEERS_CERTFILE = 350,          /* PEERS_CERTFILE  */
    CA_TYPE = 351,                 /* CA_TYPE  */
    VERIFY_CERT = 352,             /* VERIFY_CERT  */
    SEND_CERT = 353,               /* SEND_CERT  */
    SEND_CR = 354,                 /* SEND_CR  */
    MATCH_EMPTY_CR = 355,          /* MATCH_EMPTY_CR  */
    IDENTIFIERTYPE = 356,          /* IDENTIFIERTYPE  */
    IDENTIFIERQUAL = 357,          /* IDENTIFIERQUAL  */
    MY_IDENTIFIER = 358,           /* MY_IDENTIFIER  */
    PEERS_IDENTIFIER = 359,        /* PEERS_IDENTIFIER  */
    VERIFY_IDENTIFIER = 360,       /* VERIFY_IDENTIFIER  */
    DNSSEC = 361,                  /* DNSSEC  */
    CERT_X509 = 362,               /* CERT_X509  */
    CERT_PLAINRSA = 363,           /* CERT_PLAINRSA  */
    NONCE_SIZE = 364,              /* NONCE_SIZE  */
    DH_GROUP = 365,                /* DH_GROUP  */
    KEEPALIVE = 366,               /* KEEPALIVE  */
    PASSIVE = 367,                 /* PASSIVE  */
    INITIAL_CONTACT = 368,         /* INITIAL_CONTACT  */
    NAT_TRAVERSAL = 369,           /* NAT_TRAVERSAL  */
    REMOTE_FORCE_LEVEL = 370,      /* REMOTE_FORCE_LEVEL  */
    PROPOSAL_CHECK = 371,          /* PROPOSAL_CHECK  */
    PROPOSAL_CHECK_LEVEL = 372,    /* PROPOSAL_CHECK_LEVEL  */
    GENERATE_POLICY = 373,         /* GENERATE_POLICY  */
    GENERATE_LEVEL = 374,          /* GENERATE_LEVEL  */
    SUPPORT_PROXY = 375,           /* SUPPORT_PROXY  */
    PROPOSAL = 376,                /* PROPOSAL  */
    EXEC_PATH = 377,               /* EXEC_PATH  */
    EXEC_COMMAND = 378,            /* EXEC_COMMAND  */
    EXEC_SUCCESS = 379,            /* EXEC_SUCCESS  */
    EXEC_FAILURE = 380,            /* EXEC_FAILURE  */
    GSS_ID = 381,                  /* GSS_ID  */
    GSS_ID_ENC = 382,              /* GSS_ID_ENC  */
    GSS_ID_ENCTYPE = 383,          /* GSS_ID_ENCTYPE  */
    COMPLEX_BUNDLE = 384,          /* COMPLEX_BUNDLE  */
    DPD = 385,                     /* DPD  */
    DPD_DELAY = 386,               /* DPD_DELAY  */
    DPD_RETRY = 387,               /* DPD_RETRY  */
    DPD_MAXFAIL = 388,             /* DPD_MAXFAIL  */
    PH1ID = 389,                   /* PH1ID  */
    XAUTH_LOGIN = 390,             /* XAUTH_LOGIN  */
    WEAK_PHASE1_CHECK = 391,       /* WEAK_PHASE1_CHECK  */
    REKEY = 392,                   /* REKEY  */
    PREFIX = 393,                  /* PREFIX  */
    PORT = 394,                    /* PORT  */
    PORTANY = 395,                 /* PORTANY  */
    UL_PROTO = 396,                /* UL_PROTO  */
    ANY = 397,                     /* ANY  */
    IKE_FRAG = 398,                /* IKE_FRAG  */
    ESP_FRAG = 399,                /* ESP_FRAG  */
    MODE_CFG = 400,                /* MODE_CFG  */
    PFS_GROUP = 401,               /* PFS_GROUP  */
    LIFETIME = 402,                /* LIFETIME  */
    LIFETYPE_TIME = 403,           /* LIFETYPE_TIME  */
    LIFETYPE_BYTE = 404,           /* LIFETYPE_BYTE  */
    STRENGTH = 405,                /* STRENGTH  */
    REMOTEID = 406,                /* REMOTEID  */
    SCRIPT = 407,                  /* SCRIPT  */
    PHASE1_UP = 408,               /* PHASE1_UP  */
    PHASE1_DOWN = 409,             /* PHASE1_DOWN  */
    PHASE1_DEAD = 410,             /* PHASE1_DEAD  */
    NUMBER = 411,                  /* NUMBER  */
    SWITCH = 412,                  /* SWITCH  */
    BOOLEAN = 413,                 /* BOOLEAN  */
    HEXSTRING = 414,               /* HEXSTRING  */
    QUOTEDSTRING = 415,            /* QUOTEDSTRING  */
    ADDRSTRING = 416,              /* ADDRSTRING  */
    ADDRRANGE = 417,               /* ADDRRANGE  */
    UNITTYPE_BYTE = 418,           /* UNITTYPE_BYTE  */
    UNITTYPE_KBYTES = 419,         /* UNITTYPE_KBYTES  */
    UNITTYPE_MBYTES = 420,         /* UNITTYPE_MBYTES  */
    UNITTYPE_TBYTES = 421,         /* UNITTYPE_TBYTES  */
    UNITTYPE_SEC = 422,            /* UNITTYPE_SEC  */
    UNITTYPE_MIN = 423,            /* UNITTYPE_MIN  */
    UNITTYPE_HOUR = 424,           /* UNITTYPE_HOUR  */
    EOS = 425,                     /* EOS  */
    BOC = 426,                     /* BOC  */
    EOC = 427,                     /* EOC  */
    COMMA = 428                    /* COMMA  */
  };
  typedef enum yytokentype yytoken_kind_t;
#endif
/* Token kinds.  */
#define YYEMPTY -2
#define YYEOF 0
#define YYerror 256
#define YYUNDEF 257
#define PRIVSEP 258
#define USER 259
#define GROUP 260
#define CHROOT 261
#define PATH 262
#define PATHTYPE 263
#define INCLUDE 264
#define PFKEY_BUFFER 265
#define LOGGING 266
#define LOGLEV 267
#define PADDING 268
#define PAD_RANDOMIZE 269
#define PAD_RANDOMIZELEN 270
#define PAD_MAXLEN 271
#define PAD_STRICT 272
#define PAD_EXCLTAIL 273
#define LISTEN 274
#define X_ISAKMP 275
#define X_ISAKMP_NATT 276
#define X_ADMIN 277
#define STRICT_ADDRESS 278
#define ADMINSOCK 279
#define DISABLED 280
#define LDAPCFG 281
#define LDAP_HOST 282
#define LDAP_PORT 283
#define LDAP_PVER 284
#define LDAP_BASE 285
#define LDAP_BIND_DN 286
#define LDAP_BIND_PW 287
#define LDAP_SUBTREE 288
#define LDAP_ATTR_USER 289
#define LDAP_ATTR_ADDR 290
#define LDAP_ATTR_MASK 291
#define LDAP_ATTR_GROUP 292
#define LDAP_ATTR_MEMBER 293
#define RADCFG 294
#define RAD_AUTH 295
#define RAD_ACCT 296
#define RAD_TIMEOUT 297
#define RAD_RETRIES 298
#define MODECFG 299
#define CFG_NET4 300
#define CFG_MASK4 301
#define CFG_DNS4 302
#define CFG_NBNS4 303
#define CFG_DEFAULT_DOMAIN 304
#define CFG_AUTH_SOURCE 305
#define CFG_AUTH_GROUPS 306
#define CFG_SYSTEM 307
#define CFG_RADIUS 308
#define CFG_PAM 309
#define CFG_LDAP 310
#define CFG_LOCAL 311
#define CFG_NONE 312
#define CFG_GROUP_SOURCE 313
#define CFG_ACCOUNTING 314
#define CFG_CONF_SOURCE 315
#define CFG_MOTD 316
#define CFG_POOL_SIZE 317
#define CFG_AUTH_THROTTLE 318
#define CFG_SPLIT_NETWORK 319
#define CFG_SPLIT_LOCAL 320
#define CFG_SPLIT_INCLUDE 321
#define CFG_SPLIT_DNS 322
#define CFG_PFS_GROUP 323
#define CFG_SAVE_PASSWD 324
#define RETRY 325
#define RETRY_COUNTER 326
#define RETRY_INTERVAL 327
#define RETRY_PERSEND 328
#define RETRY_PHASE1 329
#define RETRY_PHASE2 330
#define NATT_KA 331
#define ALGORITHM_CLASS 332
#define ALGORITHMTYPE 333
#define STRENGTHTYPE 334
#define SAINFO 335
#define FROM 336
#define REMOTE 337
#define ANONYMOUS 338
#define CLIENTADDR 339
#define INHERIT 340
#define REMOTE_ADDRESS 341
#define EXCHANGE_MODE 342
#define EXCHANGETYPE 343
#define DOI 344
#define DOITYPE 345
#define SITUATION 346
#define SITUATIONTYPE 347
#define CERTIFICATE_TYPE 348
#define CERTTYPE 349
#define PEERS_CERTFILE 350
#define CA_TYPE 351
#define VERIFY_CERT 352
#define SEND_CERT 353
#define SEND_CR 354
#define MATCH_EMPTY_CR 355
#define IDENTIFIERTYPE 356
#define IDENTIFIERQUAL 357
#define MY_IDENTIFIER 358
#define PEERS_IDENTIFIER 359
#define VERIFY_IDENTIFIER 360
#define DNSSEC 361
#define CERT_X509 362
#define CERT_PLAINRSA 363
#define NONCE_SIZE 364
#define DH_GROUP 365
#define KEEPALIVE 366
#define PASSIVE 367
#define INITIAL_CONTACT 368
#define NAT_TRAVERSAL 369
#define REMOTE_FORCE_LEVEL 370
#define PROPOSAL_CHECK 371
#define PROPOSAL_CHECK_LEVEL 372
#define GENERATE_POLICY 373
#define GENERATE_LEVEL 374
#define SUPPORT_PROXY 375
#define PROPOSAL 376
#define EXEC_PATH 377
#define EXEC_COMMAND 378
#define EXEC_SUCCESS 379
#define EXEC_FAILURE 380
#define GSS_ID 381
#define GSS_ID_ENC 382
#define GSS_ID_ENCTYPE 383
#define COMPLEX_BUNDLE 384
#define DPD 385
#define DPD_DELAY 386
#define DPD_RETRY 387
#define DPD_MAXFAIL 388
#define PH1ID 389
#define XAUTH_LOGIN 390
#define WEAK_PHASE1_CHECK 391
#define REKEY 392
#define PREFIX 393
#define PORT 394
#define PORTANY 395
#define UL_PROTO 396
#define ANY 397
#define IKE_FRAG 398
#define ESP_FRAG 399
#define MODE_CFG 400
#define PFS_GROUP 401
#define LIFETIME 402
#define LIFETYPE_TIME 403
#define LIFETYPE_BYTE 404
#define STRENGTH 405
#define REMOTEID 406
#define SCRIPT 407
#define PHASE1_UP 408
#define PHASE1_DOWN 409
#define PHASE1_DEAD 410
#define NUMBER 411
#define SWITCH 412
#define BOOLEAN 413
#define HEXSTRING 414
#define QUOTEDSTRING 415
#define ADDRSTRING 416
#define ADDRRANGE 417
#define UNITTYPE_BYTE 418
#define UNITTYPE_KBYTES 419
#define UNITTYPE_MBYTES 420
#define UNITTYPE_TBYTES 421
#define UNITTYPE_SEC 422
#define UNITTYPE_MIN 423
#define UNITTYPE_HOUR 424
#define EOS 425
#define BOC 426
#define EOC 427
#define COMMA 428

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
union YYSTYPE
{
#line 247 "../../../ipsec-tools-0.8.2/src/racoon/cfparse.y"

	unsigned long num;
	vchar_t *val;
	struct remoteconf *rmconf;
	struct sockaddr *saddr;
	struct sainfoalg *alg;

#line 421 "cfparse.h"

};
typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif


extern YYSTYPE yylval;

int yyparse (void);

#endif /* !YY_YY_CFPARSE_H_INCLUDED  */
